WordPress全般

WordPres3.9.1にアップデートしたらRSSでエラーがでた時の解決方法

Pocket

WordPressの最新版(2014年6/25時点)3.9.1にアップグレードしたところRSSフィードで下記のようなエラーがでました。

FireFox
firefox-feederror

XML Parsing Error: XML or text declaration not at start of entity Location: http://www.quickonlinetips.com/archives/feed/ Line Number 2, Column 1:

Chrome
chrome-feederror

This page contains the following errors: error on line 2 at column 6: XML declaration allowed only at the start of the document Below is a rendering of the page up to the first error.

これはこのバージョンのWordPressに混在しているバグで、phpファイルでphpの宣言をするの後にブランクが入っていると表示されるものです。

原因はわかったとはいえ、phpファイル全てをチェックしてブランクを消していくのは面倒なので、簡単な修正方法を探していたのですが、なかなかいい方法が見つからない。

そこで、もう一回管理者ページをみていたところ、Fix Rss Feedという見慣れないメニューが。怪しすぎるぐらい怪しい。
rss_error

クリックすると下記の画面がでるので、ここで"Fix wordpress rss feed error"をクリック。
rss_error1

ブラウザキャッシュをクリアしてリロードすると、エラーが消えました!

散々調べたあげく、目の前に解決方法があったという。。 確かにそんな分かりやすいバグだったらWordPressが何もしていないわけないですよね。原点に立ち返ることの大切さを再確認しました。

Ads by Google

Ads by Google

-WordPress全般
-

© 2021 みる米技術部 Powered by AFFINGER5